<?php
/*
 * Lancement d'une action, passée en POST
 * les actions sont dans actions/
 * il suffit de mettre les commandes ipxe concernant l'action à faire
 */
require "config.inc.php";
require "ldap.inc.php";
require "actions.inc.php";
require_once ('ipxe_functions.inc.php');

$ipxe = "#!ipxe\n";
$menu_timeout = '10000';
$ipxe .= "console --x 1024 --y 768 --picture png/ipxe-se4.png\n";
$action = $_POST['action'] ?? "default";
$token = $_POST['token'] ?? "";
$mac = $_POST['mac'] ?? "";
$name = $_POST['name'] ?? "";
$script = $_POST['script'] ?? "";
$debug = $_POST['debug'] ?? 0;
$disk = $_POST['disk'] ?? 0;
$perso = $_POST['perso'] ?? 0;
$version = $_POST['version'] ?? "Win10";
if (auth_action($config, $mac, $token) || $action == "ltsp") {
    $machine = @get_action($config, $mac, $token);
    if (@$machine['action'][$token]['role'] == "clone")
        $script = "rescuecd";
    if (file_exists(__DIR__ . "/actions/" . $action . ".php")) {
        include __DIR__ . "/actions/" . $action . ".php";
    } else {
        set_action($config, $mac, "default", "", $token, "", "default");
        $ipxe .= boot_disk();
    }
} else {
    $ipxe .= "params\n";
    $ipxe .= "param mac " . $mac . "\n";
    $ipxe .= "param token " . $token . "\n";
    $ipxe .= "param debug " . $debug . "\n";
    $ipxe .= "chain --replace --autofree admin.php##params\n";
}
ipxe_out($config, $ipxe);
?>