<?php
/*
 * Met la machine dans le parcs
 *
 * @TODO
 */
require "config.inc.php";
require "ldap.inc.php";
require "actions.inc.php";
require_once ('ipxe_functions.inc.php');

$ipxe = "#!ipxe\n";
$menu_timeout = '10000';
$ipxe .= "console --x 1024 --y 768 --picture png/ipxe-se4.png\n";

$token = $_POST['token'] ?? "";
$mac = $_POST['mac'] ?? "";
if (! empty($token)) {
    $machine = get_action($config, $mac);
    if (count($machine) > 0) {
        $parcs = list_parcs($config, $machine['cn']);
        if (isset($_POST['parc'])) {
            $parc = $_POST['parc'];
            if (in_array($parc, array_column($parcs, "name"))) {
                $ipxe .= "echo La machine est deja dans le parc " . $parc . "\n";
                $ipxe .= "sleep 3\n";
                $ipxe .= "chain --replace --autofree parcs.php##params\n";
            } else {
                $res = add_member_parc($config, $parc, $machine['cn']);
                if ($res) {
                    $ipxe .= "echo La machine a ete ajoutee au parc " . $parc . "\n";
                    $ipxe .= "sleep 3\n";
                } else {
                    $ipxe .= "echo ERREUR La machine n'a pas ete ajoutee au parc " . $parc . "\n";
                    $ipxe .= "sleep 3\n";
                }
            }
        } else {
            $ipxe .= "echo Enregistrement du parc pour " . $machine['cn'] . "\n";
            $ipxe .= "echo deja dans les parcs : ";
            foreach ($parcs as $name) {
                $ipxe .= $name['name'] . ", ";
            }
            $ipxe .= "\n";
            $ipxe .= "echo -n Entrez le nom du parc :\n";
            $ipxe .= "read parc\n";
            $ipxe .= "params\n";
            $ipxe .= "param token " . $token . "\n";
            $ipxe .= "param mac " . $mac . "\n";
            $ipxe .= "param parc \${parc}\n";
            $ipxe .= "chain --replace --autofree parcs.php##params\n";
        }
    }
}
$ipxe .= "params\n";
$ipxe .= "param menu-default parcs\n";
$ipxe .= "param token " . $token . "\n";
$ipxe .= "param mac " . $mac . "\n";
$ipxe .= "chain --replace --autofree admin.php##params\n";
ipxe_out($config, $ipxe);
?>
